# QVM: Quaternions, Vectors, Matrices

### translation

#include <boost/qvm/map_mat_vec.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_mat<A>::value &&
            //  mat_traits<A>::rows==mat_traits<A>::cols && mat_traits<A>::rows>=3
            template <class A>
            -unspecified-return-type- translation( A & a );
        }
    }

The expression translation(m) returns a view proxy that accesses the translation component of the square matrix m, which is a vector of size D-1, where D is the size of m.

See also: boost/qvm/map_mat_vec.hpp